org.apache.tomcat.util.modeler

## Class ConstructorInfo

- java.lang.Object
- - org.apache.tomcat.util.modeler.FeatureInfo
  - - org.apache.tomcat.util.modeler.OperationInfo
    - - org.apache.tomcat.util.modeler.ConstructorInfo

- All Implemented Interfaces:
    Serializable

      public class ConstructorInfo
      extends OperationInfo

  Internal configuration information for a `Constructor` descriptor.

  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.modeler.OperationInfo

      `impact, parameters, parametersLock, role`

    - ### Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo

      `description, info, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MBeanConstructorInfo` | `createConstructorInfo()` Create and return a `ModelMBeanConstructorInfo` object that corresponds to the attribute described by this instance.

    - ### Methods inherited from class org.apache.tomcat.util.modeler.OperationInfo

      `addParameter, getImpact, getMBeanParameterInfo, getReturnType, getRole, getSignature, setImpact, setReturnType, setRole`

    - ### Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo

      `getDescription, getName, getType, setDescription, setName, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorInfo

          public ConstructorInfo()

  - ### Method Detail

    - #### createConstructorInfo

          public MBeanConstructorInfo createConstructorInfo()

      Create and return a `ModelMBeanConstructorInfo` object that corresponds to the attribute described by this instance.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.